/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package ca.mcmaster.cas.matlab2smt;

/**
 *
 * @author matthew
 */
public class BooleanVariableType extends VariableType {

    @Override
    public boolean equals(Object other) {
        return other instanceof BooleanVariableType;
    }

    @Override
    public int hashCode() {
        return 0;
    }

    @Override
    public boolean canCastToType(VariableType type) {
        return false;
    }
}
